%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             block_class

Name:    drupal%{drupalver}-%{modname}
Version: 1.4
Release: 3%{?dist}
Summary: Block Class module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
Block Class allows users to add classes to any block through the block's 
configuration interface.

%prep
%setup -qn %{modname}

%build


%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/README.txt
%{drupal_modules}/%{modname}

%changelog
* Thu May 10 2012 Anderson Silva <ansilva@redhat.com> - 1.4-3
- LICENSE.txt from upstream is proper

* Thu May 3 2012 Anderson Silva <ansilva@redhat.com> - 1.4-2
- Complying with Fedora Guidelines

* Mon Apr 11 2012 Anderson Silva <ansilva@redhat.com> - 1.4-1
- Initial rpm package
